﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{D3D0017C-61F2-491A-B7BB-0239121222E2}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>CPLaserAreaScanner</RootNamespace>
    <AssemblyName>CPLaserAreaScanner</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\_Exe\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="CAbortLaserCol.cs" />
    <Compile Include="CAbortLaserImage.cs" />
    <Compile Include="CAbortLaserMatrix.cs" />
    <Compile Include="CAbortLaserPosition.cs" />
    <Compile Include="CAbortLaserRow.cs" />
    <Compile Include="CAbortProcessExecution.cs" />
    <Compile Include="CBlinkLedSystem.cs" />
    <Compile Include="CDefine.cs" />
    <Compile Include="CGetDelayMotion.cs" />
    <Compile Include="CGetLedSystem.cs" />
    <Compile Include="CGetPositionY.cs" />
    <Compile Include="CGetHardwareVersion.cs" />
    <Compile Include="CGetHelp.cs" />
    <Compile Include="CGetProcessCount.cs" />
    <Compile Include="CGetProcessPeriod.cs" />
    <Compile Include="CGetProgramHeader.cs" />
    <Compile Include="CGetPulseWidthus.cs" />
    <Compile Include="CGetRangeX.cs" />
    <Compile Include="CGetRangeY.cs" />
    <Compile Include="CGetSoftwareVersion.cs" />
    <Compile Include="CGetPositionX.cs" />
    <Compile Include="CPulseLaserCol.cs" />
    <Compile Include="CPulseLaserRow.cs" />
    <Compile Include="CSetPositionY.cs" />
    <Compile Include="CPulseLaserImage.cs" />
    <Compile Include="CPulseLaserMatrix.cs" />
    <Compile Include="CPulseLaserPosition.cs" />
    <Compile Include="CSetDelayMotion.cs" />
    <Compile Include="CSetLedSystemHigh.cs" />
    <Compile Include="CSetLedSystemLow.cs" />
    <Compile Include="CSetPositionX.cs" />
    <Compile Include="CSetProcessCount.cs" />
    <Compile Include="CSetProcessPeriod.cs" />
    <Compile Include="CSetPulseWidthus.cs" />
    <Compile Include="CSetRangeX.cs" />
    <Compile Include="CSetRangeY.cs" />
    <Compile Include="CStopProcessExecution.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\CommandProtocol\CommandProtocol.csproj">
      <Project>{CDA1E8D6-27A8-4246-9736-71DBED05ECE8}</Project>
      <Name>CommandProtocol</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>